# run pure python and pyrex primes generator, and measure time.
# note that time.time() resolution is quite poor
import time

import test

def python_primes(kmax):
    p = [0] * 1000
    result = []
    if kmax > 1000:
        kmax = 1000
    k = 0
    n = 2
    while k < kmax:
        i = 0
        while i < k and n % p[i] <> 0:
            i = i + 1
        if i == k:
            p[k] = n
            k = k + 1
            result.append(n)
        n = n + 1
    return result

pyrex_start = time.time()
for i in range(5):
    test.primes(1000)
pyrex_end = time.time()

normal_start = time.time()
for i in range(5):
    python_primes(1000)
normal_end = time.time()

pyrex_delta = pyrex_end - pyrex_start
normal_delta = normal_end - normal_start

print "pyrex", pyrex_delta, "normal", normal_delta
